zone_list_db Struct Reference

`#include <zone_db.h>`

## Data Fields

db_object_t * | dbo
db_result_list_t * | result_list
const db_result_t * | result
zone_db_t * | zone
int | object_store
zone_db_t ** | object_list
size_t | object_list_size
size_t | object_list_position
int | object_list_first
int | associated_fetch
policy_list_t * | policy_id_list

## Detailed Description

A list of zone objects.

Definition at line 466 of file zone_db.h.

## Field Documentation

## associated_fetch

int zone_list_db::associated_fetch

Definition at line 476 of file zone_db.h.

Referenced by zone_list_db_copy(), zone_list_db_get(), zone_list_db_get_by_clauses(), and zone_list_db_get_by_policy_id().

## dbo

db_object_t* zone_list_db::dbo

Definition at line 467 of file zone_db.h.

Referenced by zone_list_db_begin(), zone_list_db_free(), zone_list_db_get(), zone_list_db_get_by_clauses(), zone_list_db_get_by_policy_id(), zone_list_db_get_next(), zone_list_db_new(), zone_list_db_new_copy(), and zone_list_db_next().

## object_list

zone_db_t** zone_list_db::object_list

Definition at line 472 of file zone_db.h.

Referenced by zone_list_db_begin(), zone_list_db_copy(), zone_list_db_free(), zone_list_db_get(), zone_list_db_get_by_clauses(), zone_list_db_get_by_policy_id(), zone_list_db_next(), and zone_list_db_size().

## object_list_first

int zone_list_db::object_list_first

Definition at line 475 of file zone_db.h.

Referenced by zone_list_db_copy(), zone_list_db_get(), zone_list_db_get_by_clauses(), zone_list_db_get_by_policy_id(), and zone_list_db_next().

## object_list_position

size_t zone_list_db::object_list_position

Definition at line 474 of file zone_db.h.

Referenced by zone_list_db_begin(), zone_list_db_copy(), and zone_list_db_next().

## object_list_size

size_t zone_list_db::object_list_size

Definition at line 473 of file zone_db.h.

Referenced by zone_list_db_begin(), zone_list_db_copy(), zone_list_db_free(), zone_list_db_get(), zone_list_db_get_by_clauses(), zone_list_db_get_by_policy_id(), zone_list_db_next(), and zone_list_db_size().

## object_store

int zone_list_db::object_store

Definition at line 471 of file zone_db.h.

Referenced by zone_list_db_begin(), zone_list_db_copy(), zone_list_db_get_next(), zone_list_db_next(), zone_list_db_object_store(), and zone_list_db_size().

## policy_id_list

policy_list_t* zone_list_db::policy_id_list

Definition at line 477 of file zone_db.h.

Referenced by zone_list_db_copy(), and zone_list_db_free().

## result

const db_result_t* zone_list_db::result

Definition at line 469 of file zone_db.h.

## result_list

db_result_list_t* zone_list_db::result_list

Definition at line 468 of file zone_db.h.

Referenced by zone_list_db_begin(), zone_list_db_copy(), zone_list_db_free(), zone_list_db_get(), zone_list_db_get_by_clauses(), zone_list_db_get_by_policy_id(), zone_list_db_get_next(), zone_list_db_next(), and zone_list_db_size().

## zone

zone_db_t* zone_list_db::zone

Definition at line 470 of file zone_db.h.

Referenced by zone_list_db_begin(), zone_list_db_free(), and zone_list_db_next().

The documentation for this struct was generated from the following file:

- src/db/zone_db.h